#
# spec file for package perl-XML-NamespaceSupport (Version 1.09)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-XML-NamespaceSupport
Version:        1.09
Release:        13.2
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License
URL:            http://www.cpan.org/modules/by-module/XML/
Summary:        XML::NamespaceSupport Perl Module
Source:         XML-NamespaceSupport-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This module offers a simple way to process namespaced XML names
(unames) from within any application that may need them. It also helps
maintain a prefix to namespace URI map, and provides a number of basic
checks.



%debug_package
%prep
%setup -q -n XML-NamespaceSupport-%{version}

%build
perl Makefile.PL
make
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist
chmod 644 $RPM_BUILD_ROOT/%_mandir/man3/*
chmod 644 $RPM_BUILD_ROOT/%{perl_vendorlib}/XML/NamespaceSupport.pm
chmod 644 Changes README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/XML
%{perl_vendorarch}/auto/XML
/var/adm/perl-modules/%{name}

%changelog -n perl-XML-NamespaceSupport
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jul 31 2005 - cthiel@suse.de
- update to version 1.09
* Tue Jun 28 2005 - ro@suse.de
- fix permissions
* Mon Nov 15 2004 - ro@suse.de
- initial package
